#ticketsspresale {
    position: fixed;
    display: flex;
    justify-content: center;
    top: 0px;
    left: 0px;
    width: 100vw;
    height: 100dvh;
    background: #000;
    z-index: 50001;
    box-sizing: border-box;
    padding: 20px 20px;
    overflow: auto;
}


#ticketsspresale .dialog {
    position: relative;
    display: flex;    
     margin: auto;
    align-content: center;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    height: auto;
    max-width: 600px;
    border: 8px solid #FFF;;
    color: #FFF;
    font-size: 15pt;
    box-sizing: border-box;
    padding: 50px 30px;
}

#ticketsspresale .header {
    display: flex;
    align-content: center;
    align-items: center;
    flex-direction: column;
}

#ticketsspresale p {
    max-width: 380px;
    text-align: center;
    line-height: 1.5em;
}

#ticketsspresale p a {
    color: #FFF;
    text-decoration: underline;
}

#ticketsspresale h1 {
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
    color: #E0539E;
    font-size: 20pt;
    gap: 15px;
    border-bottom: none;
}

#ticketsspresale h1:after {
    border-bottom: none;
}

#ticketsspresale h1 img {
    height: 32px;
    width: auto;
}

#ticketsspresale form {
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    max-width: 420px;
    min-width: 280px;
}

#ticketsspresale form input {
    box-sizing: border-box;
    padding: 10px 15px;
    text-align: center;
    margin: 0 !important;
}

#ticketsspresale form .error {
    display: none;
    background: #b80707;
    font-size: 10pt;
    box-sizing: border-box;
    padding: 8px 5px;   
    text-align: center;
}

#ticketsspresale form.error .error {
    display: block;
}

#ticketsspresale form input::placeholder {
    color: #666;
}

#ticketsspresale form button {
    margin-top: 10px;
    outline: none;
    background: #9CFFFA;
    width: 100%;
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: center;
    color: #000;
    font-weight: bold;
    gap: 10px;
    box-sizing: border-box;
    padding: 8px 0px;
}

#ticketsspresale form button img {
    width: 20px;
    height: auto;
}

#ticketsspresale .footer {
    text-align: center;
    font-style: italic;
    font-size: 13pt;
    margin-top: 50px;
}

#ticketsspresale .footer p  {
    font-size: clamp(10pt, 3vw, 13pt);
}

@media screen and (max-height: 768px) {

    #ticketsspresale .dialog {
        padding: 30px 20px;
    }

    #ticketsspresale h1 {
        font-size: 16pt;
        gap: 10px;
        margin-bottom: 0;
    }

    #ticketsspresale h1 img {
        height: 30px;
        width: auto;
    }

    #ticketsspresale p {
        margin-bottom: 5pt;
         font-size: 13pt;
    }

    #ticketsspresale form {
        margin: 30px 0;
    }

    #ticketsspresale .footer {
        margin-top: 0px;
    }

}

